### Hierarchy

- unknown
  - GetTradeReply

## Index

### Constructors

- constructor

### Methods

- clearTrade
- getTrade
- hasTrade
- serializeBinary
- setTrade
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetTradeReply(): GetTradeReply

- Inherited from jspb.Message.constructor

  #### Returns GetTradeReply

## Methods

### clearTrade

- clearTrade(): GetTradeReply

- - Defined in src/protobuf/grpc_pb.d.ts:2407

  #### Returns GetTradeReply

### getTrade

- getTrade(): undefined | TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2404

  #### Returns undefined | TradeInfo

### hasTrade

- hasTrade(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:2406

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2409

  #### Returns Uint8Array

### setTrade

- setTrade(value?: TradeInfo ): GetTradeReply

- - Defined in src/protobuf/grpc_pb.d.ts:2405

  #### Parameters

  - ##### Optional value: TradeInfo

  #### Returns GetTradeReply

### toObject

- toObject(includeInstance?: boolean): GetTradeReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2410

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetTradeReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetTradeReply

- - Defined in src/protobuf/grpc_pb.d.ts:2413

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetTradeReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetTradeReply, reader: BinaryReader): GetTradeReply

- - Defined in src/protobuf/grpc_pb.d.ts:2414

  #### Parameters

  - ##### message: GetTradeReply

  - ##### reader: BinaryReader

  #### Returns GetTradeReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetTradeReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2412

  #### Parameters

  - ##### message: GetTradeReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetTradeReply ): GetTradeReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2411

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetTradeReply

  #### Returns GetTradeReply . AsObject

Generated using TypeDoc